Skip to navigation

Get Products

Returns a list of products currently offered to the market. Endpoint Version: 5

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Headers

x-vstringRequired
The version of the API endpoint requested by the Client. Must be set to a positive integer. The current supported version for this endpoint is 5.
x-min-vstringOptional
The minimum version of the API endpoint requested by the Client. Must be set to a positive integer if provided.
x-fapi-interaction-idstringOptional

An RFC4122 UUID used as a correlation ID. If provided, the data holder must play back this value in the x-fapi-interaction-id response header.

Query parameters

effectiveenumOptional
Allows for the filtering of products based on whether the current time is within the period of time defined as effective by the effectiveFrom and effectiveTo fields. If absent, defaults to CURRENT.
Allowed values:
updated-sincestringOptional
Only include products that have been updated after the specified date and time. If absent, defaults to include all products.
brandstringOptional
Filter results based on a specific brand.
product-categorystringOptional
Used to filter results on the productCategory field applicable to accounts. If absent, then all accounts returned.
pagestringOptional
The page of results to request. The default is 1.
page-sizestringOptional
The page size to request. The default is 25.

Response headers

Content-TypestringOptional

application/json

x-vstringOptional
The version of the API endpoint requested by the Client. Must be set to a positive integer.
x-fapi-interaction-idstringOptional

An RFC4122 UUID used as a correlation ID. If provided, the data holder must play back this value in the x-fapi-interaction-id response header.

Response

OK
dataobject
metaobject
Contains pagination metadata.

Errors

400
Bad Request Error
406
Not Acceptable Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error
504
Gateway Timeout Error